/**
 * Main Stylesheet for PPC Rocks Theme
 * This file imports all component styles
 */
/* Base Styles */
/* Reset and Normalize Styles */
/* Box sizing for all elements */

@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), local("Montserrat"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-bold-webfont.woff2") format("woff2"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-bold-webfont.woff") format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), local("Montserrat"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-semibold-webfont.woff2") format("woff2"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-semibold-webfont.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), local("Montserrat"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-medium-webfont.woff2") format("woff2"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-medium-webfont.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), local("Montserrat"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-regular-webfont.woff2") format("woff2"),
    url("/wp-content/themes/ppcrocks/fonts/montserrat-regular-webfont.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

body.error404 .header,
body.single-post .header {
  background: #000;
  height: 80px;
}

body.error404 .main,
body.single-post .main {
  margin-top: 100px;
}

html {
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

/* Remove margin and padding */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

/* Set line height */
body {
  line-height: 1;
}

/* List styles */
ol,
ul {
  list-style: none;
}

/* Quote styles */
blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}

/* Table styles */
table {
  border-collapse: collapse;
  border-spacing: 0;
}

/* Remove outline on focused elements */
:focus {
  outline: 0;
}

/* Form elements */
button,
input,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  margin: 0;
}

/* Remove text decoration */
a {
  text-decoration: none;
}

html,
body {
  overflow-x: hidden;
}

body {
  font-family: 'Montserrat', sans-serif;
  font-size: 18px;
  line-height: 1.5;
  color: #222;
  background-color: #fff;
}

h1 {
  font-weight: 600;
  font-size: 56px;
  line-height: 110%;
  text-align: center;
}

@media screen and (max-width: 768px) {
  h1 {
    font-size: 35px;
    line-height: 130%;
  }
}

h1.black {
  color: #222;
}

h1.white {
  color: #fff;
}

h1 span {
  color: #FFBF00;
}

a {
  cursor: pointer;
}

h2 {
  font-size: 48px;
  font-weight: 600;
  margin-bottom: 60px;
  color: #222;
  line-height: 120%;
}

h2 span {
  color: #FFBF00;
}

@media screen and (max-width: 768px) {
  h2 {
    font-size: 30px;
    margin-bottom: 40px;
  }
}

h3 {
  font-weight: 600;
  font-size: 30px;
  line-height: 1.2;
  letter-spacing: -0.3px;
}

.container {
  width: 100%;
  max-width: 1300px;
  margin: 0 auto;
  position: relative;
}

.btn {
  display: inline-block;
  background: #FFBF00;
  color: #181818 !important;
  padding: 12px 26px;
  font-weight: 500;
  text-decoration: none;
  transition: background 0.2s;
  border: none;
  cursor: pointer;
}

.btn:hover {
  background: rgba(255, 193, 7, 0.4);
  color: #181818;
}

@media screen and (max-width: 768px) {
  .btn {
    padding: 9.5px 16px;
    font-size: 14px;
  }
}

/* анімація "пульс" */
@keyframes pulse-shadow {
  0% {
    box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.59);
  }

  70% {
    box-shadow: 0 0 0 15px rgba(0, 123, 255, 0);
  }

  100% {
    box-shadow: 0 0 0 0 rgba(0, 123, 255, 0);
  }
}

.open-popup-button {
  animation: pulse-shadow 2s infinite;
}

.line-pagination {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100vw;
  padding: 0 0;
  position: relative;
  left: 50% !important;
  transform: translateX(-50%);
  margin-bottom: 45px;
}

@media screen and (max-width: 768px) {
  .line-pagination {
    margin-bottom: 40px;
  }
}

.swiper-nav {
  display: flex;
  gap: 10px;
}

@media screen and (max-width: 768px) {
  .swiper-nav {
    display: none;
  }
}

.swiper-pagination-bullet {
  flex: 1;
  border-radius: 0 !important;
  height: 4px !important;
  margin: 0 4px !important;
  background: #1919191A !important;
  opacity: 1 !important;
  transition: background 0.3s;
}

.swiper-pagination-bullet-active {
  background: #191919 !important;
}

.swiper-nav .pagination-prev,
.swiper-nav .pagination-next {
  width: 64px;
  height: 64px;
  border-radius: 50%;
  background-color: #e5e5e5;
  cursor: pointer;
  transition: all 0.3s ease;
  background-repeat: no-repeat;
  background-position: center;
  background-size: 20px 20px;
}

.swiper-nav .pagination-prev {
  transform: rotate(180deg);
  background-color: #ffc107;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTAuNjE5Mjg5IDEwLjIzODRIMTcuODU5Mk0xNy44NTkyIDEwLjIzODRMOS4yMzkyNiAxLjYxODQ2TTE3Ljg1OTIgMTAuMjM4NEw5LjIzOTI2IDE4Ljg1ODQiIHN0cm9rZT0iIzI4MjgyOCIgc3Ryb2tlLXdpZHRoPSIyLjI4NTcxIi8+Cjwvc3ZnPgo=");
}

.swiper-nav .pagination-prev:hover {
  background-color: #000;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyMCIgaGVpZ2h0PSIyMCIgdmlld0JveD0iMCAwIDIwIDIwIiBmaWxsPSJub25lIj48cGF0aCBkPSJNMTkuMzgwNyAxMC4yMzg0SDIuMTQwNzdNMjAuMTQwNzcgMTAuMjM4NEwxMC43NjA3IDEuNjE4NDZNMjAuMTQwNzcgMTAuMjM4NEwxMC43NjA3IDE4Ljg1ODQiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMi4yODU3MSIvPjwvc3ZnPg==");
}

.swiper-nav .pagination-next {
  background-color: #ffc107;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTAuNjE5Mjg5IDEwLjIzODRIMTcuODU5Mk0xNy44NTkyIDEwLjIzODRMOS4yMzkyNiAxLjYxODQ2TTE3Ljg1OTIgMTAuMjM4NEw5LjIzOTI2IDE4Ljg1ODQiIHN0cm9rZT0iIzI4MjgyOCIgc3Ryb2tlLXdpZHRoPSIyLjI4NTcxIi8+Cjwvc3ZnPgo=");
}

.swiper-nav .pagination-next:hover {
  background-color: #000;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyMCIgaGVpZ2h0PSIyMCIgdmlld0JveD0iMCAwIDIwIDIwIiBmaWxsPSJub25lIj48cGF0aCBkPSJNMTkuMzgwNyAxMC4yMzg0SDIuMTQwNzdNMjAuMTQwNzcgMTAuMjM4NEwxMC43NjA3IDEuNjE4NDZNMjAuMTQwNzcgMTAuMjM4NEwxMC43NjA3IDE4Ljg1ODQiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMi4yODU3MSIvPjwvc3ZnPg==");
}

.swiper-nav.black .pagination-next {
  background-color: #fff;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTAuNjE5Mjg5IDEwLjIzODRIMTcuODU5Mk0xNy44NTkyIDEwLjIzODRMOS4yMzkyNiAxLjYxODQ2TTE3Ljg1OTIgMTAuMjM4NEw5LjIzOTI2IDE4Ljg1ODQiIHN0cm9rZT0iIzI4MjgyOCIgc3Ryb2tlLXdpZHRoPSIyLjI4NTcxIi8+Cjwvc3ZnPgo=");
}

.swiper-nav.black .pagination-next:hover {
  background-color: #ffc107;
}

.swiper-nav.black .pagination-prev {
  background-color: #fff;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTAuNjE5Mjg5IDEwLjIzODRIMTcuODU5Mk0xNy44NTkyIDEwLjIzODRMOS4yMzkyNiAxLjYxODQ2TTE3Ljg1OTIgMTAuMjM4NEw5LjIzOTI2IDE4Ljg1ODQiIHN0cm9rZT0iIzI4MjgyOCIgc3Ryb2tlLXdpZHRoPSIyLjI4NTcxIi8+Cjwvc3ZnPgo=");
}

.swiper-nav.black .pagination-prev:hover {
  background-color: #ffc107;
  opacity: 1;
}

.swiper-slide {
  display: flex;
  height: auto;
}

.text-toggle {
  display: inline-flex;
  margin-top: 40px;
  font-weight: 600;
  font-size: 18px;
  line-height: 120%;
  text-decoration: underline;
  text-decoration-style: solid;
  text-decoration-thickness: 0%;
}

.white-link {
  font-weight: 600;
  font-size: 16px;
  text-decoration: underline;
  color: #fff;
  display: none;
}

@media screen and (max-width: 768px) {
  .white-link {
    display: block;
  }
}

/* Component Styles */
.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: rgba(0, 0, 0, 0);
  color: #fff;
  z-index: 100;
  transition: all linear 0.4s;
  padding: 0 15px;
}

.header .container {
  display: flex;
  align-items: center;
  min-height: 88px;
  justify-content: center;
}

.header .nav-info {
  display: flex;
  align-items: center;
  gap: 40px;
  position: absolute;
  right: 0;
}

@media screen and (max-width: 768px) {
  .header .nav-info {
    gap: 10px;
  }
}

.header .logo {
  position: absolute;
  left: 0;
}

.header .logo img {
  height: 40px;
}

@media screen and (max-width: 768px) {
  .header .logo img {
    width: 130px;
  }
}

.header .burger {
  all: unset;
  width: 48px;
  height: 48px;
  cursor: pointer;
  background-image: url("/wp-content/themes/ppcrocks/assets/images/icons/burger.svg");
}

.header .burger_black {
  all: unset;
  width: 48px;
  height: 48px;
  cursor: pointer;
  background-image: url("/wp-content/themes/ppcrocks/assets/images/icons/burger_black.svg");
}

@media screen and (max-width: 768px) {
  .header .burger {
    width: 34px;
    height: 34px;
    background-position: center;
    background-size: contain;
  }
}

.header .nav {
  display: flex;
  gap: 32px;
  align-items: center;
}

.header .nav li:first-child a {
  color: #fff;
}

.header .nav a {
  text-decoration: none;
  font-weight: 600;
  transition: color 0.2s;
  font-size: 16px;
  color: #FFFFFF99;
}

.header .nav a:hover {
  color: #ffd600;
}

@media screen and (max-width: 1120px) {
  .header .nav {
    display: none;
  }
}

.header .social {
  display: block;
  height: 40px;
  width: 40px;
  background-repeat: no-repeat;
}

.header .social.telegram {
  background-image: url("/wp-content/themes/ppcrocks/assets/images/icons/telegram.svg");
}

@media screen and (max-width: 728px) {
  .header .social.telegram {
    display: none;
  }
}

@media screen and (max-width: 768px) {
  .header .social {
    width: 44px;
    height: 44px;
    display: flex;
  }
}

.scroll header {
  background: #000;
  position: fixed;
}

.scroll .header .burger_black {
  background-image: url("/wp-content/themes/ppcrocks/assets/images/icons/burger.svg");
}

.sidebar-menu {
  position: fixed;
  top: 0;
  right: 0;
  width: 412px;
  height: 100dvh;
  background: #fff;
  box-shadow: -2px 0 16px rgba(0, 0, 0, 0.15);
  transform: translateX(100%);
  transition: transform 0.3s;
  z-index: 1200;
  padding: 32px 24px;
  display: flex;
  flex-direction: column;
  gap: 24px;
  overflow: auto;
}

.sidebar-menu__lang {
  font-size: 20px;
  font-weight: 400;
}

.sidebar-menu__lang a {
  color: #28282880;
}

.sidebar-menu__lang a.active {
  color: #282828;
  font-weight: 600;
}

.sidebar-menu__lang .divider {
  color: #282828;
  font-weight: 600;
  font-size: 20px;
}

.sidebar-menu.active {
  transform: translateX(0);
}

.sidebar-menu .sidebar-logo {
  display: none;
}

@media screen and (max-width: 600px) {
  .sidebar-menu .sidebar-logo {
    display: block;
    margin-left: 20px;
  }
}

.sidebar-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.6);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s;
  z-index: 1100;
}

.sidebar-overlay.active {
  opacity: 1;
  pointer-events: all;
}

.close-sidebar {
  background: 0 0;
  border: none;
  font-size: 60px;
  position: absolute;
  top: 32px;
  right: 24px;
  cursor: pointer;
  padding: 0;
  line-height: 40%;
  color: #282828;
}

.sidebar-nav {
  list-style: none;
  padding: 0;
  margin: 48px 0 0 0;
  display: flex;
  flex-direction: column;
  gap: 18px;
}

@media screen and (max-width: 768px) {
  .sidebar-nav {
    gap: 0;
  }
}

.sidebar-nav li {
  border-bottom: 1px solid #2828281A;
  padding-bottom: 20px;
}

@media screen and (max-width: 768px) {
  .sidebar-nav li {
    padding-bottom: 0;
  }
}

.sidebar-nav a {
  text-decoration: none;
  color: #222;
  font-size: 30px;
  font-weight: 600;
  cursor: pointer;
}

.sidebar-social {
  display: flex;
  justify-content: left;
  gap: 6px;
}

.sidebar-social a {
  background: #FFBF00;
  border-radius: 50%;
  width: 36px;
  height: 36px;
  display: flex !important;
  align-items: center;
  justify-content: center;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.07);
}

.sidebar-btn {
  cursor: pointer;
  padding: 12px 20px;
  background: #282828;
  color: #fff !important;
  text-align: center;
  position: relative;
  width: 100%;
  bottom: 10px;
  display: block;
}

.sidebar-btn:hover {
  background: #FFBF00;
}

@media screen and (max-width: 768px) {
  .sidebar-btn {
    width: 100%;
    padding: 12px;
    font-size: 16px;
    font-weight: 600;
    background: #222;
    color: #FFFFFF;
    position: relative;
  }
}

.sidebar-menu__wrapper {
  height: calc(100vh - 88px);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 28px;
}

@media screen and (max-width: 768px) {
  .sidebar-menu {
    width: 100vw;
    max-width: 100vw;
    padding: 24px 0 0 0;
    border-radius: 0;
    box-shadow: none;
    align-items: stretch;
  }

  .sidebar-menu.active {
    background: #F6F6F6;
  }

  .sidebar-menu__wrapper {
    padding: 0 20px 0 20px;
    background: #F6F6F6;
    height: initial;
    overflow: auto;
  }

  .sidebar-menu .logo {
    display: flex;
    align-items: center;
    font-size: 1.3rem;
    font-weight: 700;
    margin-left: 24px;
    margin-bottom: 8px;
  }

  .close-sidebar {
    top: 30px;
    right: 20px;
    font-size: 50px;
  }

  .sidebar-nav {
    margin: 0;
  }

  .sidebar-nav li {
    border-bottom: 1px solid #ececec;
  }

  .sidebar-nav li:last-child {
    border-bottom: none;
  }

  .sidebar-nav a {
    display: block;
    padding: 20px 0 20px 0;
    font-size: 30px;
    font-weight: 700;
    color: #222;
  }
}

/* Hero Section Styles */
.hero {
  position: relative;
  width: 100vw;
  min-height: 100vh;
  overflow: hidden;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  padding: 0 15px;
}

@media screen and (max-width: 768px) {
  .hero {
    height: calc(100dvh);
  }
}

.hero-bg {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  background-color: #000;
  background-image: url('/wp-content/themes/ppcrocks/assets/images/header.jpg');
  background-repeat: no-repeat;
  background-position: 85% center;
  background-size: cover;
}



@media screen and (max-width: 768px) {
  .hero .container {
    height: calc(100dvh - 88px);
    width: 100%;
    display: flex;
    align-items: flex-end;
  }
}

.hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.17);
  z-index: 2;
}

.hero-content {
  position: relative;
  z-index: 3;
  color: #fff;
  max-width: 600px;
}

@media screen and (max-width: 768px) {
  .hero-content {}
}

.hero-content h1 {
  text-align: left;
  margin-bottom: 40px;
  line-height: 1.2;
}

@media screen and (max-width: 768px) {
  .hero-content h1 {
    font-size: 29px;
    margin-bottom: 15px;
    line-height: 1.2;
  }
}

.hero-content p {
  font-weight: 500;
  font-size: 18px;
  line-height: 1.6;
  color: #fff;
  margin-bottom: 50px;
  opacity: 80%;
}

@media screen and (max-width: 768px) {
  .hero-content p {
    font-size: 16px;
    margin-bottom: 15px;
  }
}

@media screen and (max-width: 768px) {
  .hero-content .btn {
    display: none;
  }
}

/* Stats Section Styles */
.stats {
  background: #f9f9f9;
  padding: 0 15px;
}

.stats .container {
  overflow: visible;
  padding: 150px 0 150px 0;
}

.stats .grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  gap: 24px;
  margin: 60px auto 0;
}

.stats h2 {
  max-width: 898px;
  text-align: left;
  margin-bottom: 0;
}

.stats h2 span {
  color: #FFBF00;
}

.stats .item {
  background: transparent;
  padding-left: 24px;
  border-left: 5px solid #FFBF00;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  min-height: 90px;
  transition: transform 0.3s ease;
}

.stats .item:hover {
  transform: translateY(-5px);
}

.stats .item span {
  font-size: 36px;
  font-weight: 600;
  text-transform: uppercase;
  color: #282828;
}

.stats .item span i {
  font-style: normal;
  color: #28282899;
  font-weight: 600;
  margin-left: 8px;
}

.stats .item p {
  font-size: 18px;
  color: #282828;
  margin: 30px 0 0 0;
  line-height: 1.4;
  font-weight: 500;
}

@media screen and (max-width: 768px) {
  .stats .container {
    padding: 100px 0 100px 0;
  }

  .stats .grid {
    grid-template-columns: 1fr;
    gap: 48px;
    margin-top: 40px;
  }

  .stats h2 {
    font-size: 30px;
    max-width: 100%;
  }

  .stats .item {
    min-height: 70px;
  }

  .stats .item span {
    font-size: 24px;
  }

  .stats .item span i {
    display: inline-block;
    margin-top: 5px;
  }

  .stats .item p {
    font-size: 14px;
    margin-top: 20px;
  }
}

.way {
  background: #191919;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0 15px;
  flex-direction: column;
}

.way .container {
  padding: 100px 0;
}

@media screen and (max-width: 768px) {
  .way {
    min-height: 80vh;
  }

  .way .container {
    padding: 50px 0;
  }
}

.way .fix-width {
  max-width: 615px;
}

.way .quote {
  font-weight: 500;
  font-style: Italic;
  font-size: 24px;
  line-height: 160%;
  text-align: center;
  color: #FFFFFF;
}

.way .title {
  color: #FFFFFF;
  font-weight: 600;
  font-size: 48px;
  line-height: 120%;
  text-align: center;
  margin-bottom: 30px;
}

@media screen and (max-width: 768px) {
  .way .title {
    font-size: 30px;
  }

  .way .quote {
    font-size: 16px;
  }
}

.way .title span {
  text-transform: uppercase;
  color: #FFBF00;
}

.recognize {
  padding: 0 15px;
}

.recognize .container {
  padding: 120px 0;
}

@media screen and (max-width: 768px) {
  .recognize .container {
    padding: 50px 0px;
  }
}

.recognize h2 {
  text-align: center;
}

@media screen and (max-width: 768px) {
  .recognize h2 {
    font-size: 30px;
    text-align: left;
    margin-bottom: 30px;
  }
}

.recognize .bottom-text {
  display: flex;
  justify-content: space-between;
}

@media screen and (max-width: 768px) {
  .recognize .bottom-text {
    flex-direction: column;
    gap: 30px;
  }
}

.recognize__slider {
  margin: 30px 0 50px;
}

.recognize__slider.full-width {
  width: 100vw;
}

.recognize__slider-title {
  font-weight: 600;
  font-size: 24px;
  line-height: 140%;
}

.recognize__slider-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.recognize__slider .swiper-slide {
  width: 407px;
  min-height: 240px;
  padding: 50px 30px;
  box-sizing: border-box;
  background: #ECECEC;
  display: flex;
  height: auto;
}

@media screen and (max-width: 768px) {
  .recognize__slider .swiper-slide {
    width: 290px;
    min-height: 226px;
    padding: 40px 20px;
  }
}

.recognize__slider .swiper-slide.swiper-slide-active {
  background: #FFBF00;
}

.recognize .block-item img {
  width: 42px;
  height: 42px;
  -o-object-fit: contain;
  object-fit: contain;
  margin-bottom: 30px;
}

@media screen and (max-width: 768px) {
  .recognize .block-item img {
    width: 32px;
    height: 32px;
  }
}

.recognize .block-item p {
  font-weight: 400;
  font-size: 20px;
}

.recognize .block-item p strong {
  font-weight: 600;
}

@media screen and (max-width: 768px) {
  .recognize .block-item p {
    font-size: 16px;
  }
}

.recognize .sub-title {
  font-weight: 600;
  font-size: 30px;
  line-height: 120%;
  color: #282828;
  max-width: 600px;
  margin-bottom: 50px;
}

@media screen and (max-width: 768px) {
  .recognize .sub-title {
    max-width: 100%;
    font-size: 18px;
    text-align: left;
  }
}

.recognize .bottom-text p {
  font-weight: 600;
  font-size: 24px;
}

@media screen and (max-width: 768px) {
  .recognize .bottom-text p {
    font-size: 16px;
    text-align: left;
    line-height: 140%;
  }
}

/* Cases Section Styles */
.cases {
  background: #f8f8f8;
  padding: 0 15px;
}

.cases .container {
  padding: 150px 0 120px 0;
}

.cases-about__slider {
  margin: 30px 0 50px;
}

@media screen and (max-width: 767.98px) {
  .cases-about__slider {
    width: calc(100% + 290px);
  }
}

.cases-about__slider.full-width {
  width: 100vw;
}

.cases-about__slider-title {
  font-weight: 500;
  font-size: 18px;
  line-height: 140%;
  max-width: 600px;
}

.cases-about__slider-title strong {
  font-weight: 600;
}

.cases-about__slider-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.cases-about__slider .swiper-slide {
  width: 407px;
  min-height: 240px;
  padding: 50px 30px;
  box-sizing: border-box;
  background: #ECECEC;
  height: auto;
}

@media screen and (max-width: 768px) {
  .cases-about__slider .swiper-slide {
    width: 290px;
    padding: 40px 20px;
    height: auto;
    min-height: auto;
  }
}

.cases-about__slider .swiper-slide .block-item .title {
  color: #191919;
  font-weight: 600;
  font-size: 20px;
  line-height: 120%;
  margin-bottom: 10px;
}

.cases-about__slider .swiper-slide .block-item .sub-title {
  color: #191919;
  font-weight: 400;
  font-size: 18px;
  line-height: 140%;
  margin-bottom: 30px;
}

@media screen and (max-width: 768px) {
  .cases-about__slider .swiper-slide .block-item .sub-title {
    font-size: 16px;
  }
}

.cases-about__slider .swiper-slide .block-item img {
  width: 42px;
  height: 42px;
  -o-object-fit: contain;
  object-fit: contain;
  margin-bottom: 30px;
}

@media screen and (max-width: 768px) {
  .cases-about__slider .swiper-slide .block-item img {
    width: 32px;
    height: 32px;
    margin-bottom: 20px;
  }
}

.cases-about__slider .swiper-slide .block-item p {
  color: #191919;
  font-weight: 400;
  font-size: 16px;
  line-height: 140%;
}

.cases-about__slider .swiper-slide .block-item p strong {
  font-weight: 600;
}

@media screen and (max-width: 768px) {
  .cases-about__slider .swiper-slide .block-item p {
    font-size: 16px;
  }
}

.cases-about__slider .swiper-slide.swiper-slide-active {
  background: #FFBF00;
}

.cases__header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

@media screen and(max-width: 768px) {
  .cases__header {
    margin-bottom: 0;
  }
}

.cases__slider {
  margin-bottom: 80px;
}

@media screen and (max-width: 768px) {
  .cases__slider {
    margin: 0 50px 50px 50px;
  }
}

.cases__slider .swiper-slide {
  width: 32%;
}

@media screen and (max-width: 768px) {
  .cases__slider .swiper-slide {
    width: 290px;
  }
}

.cases__text {
  font-size: 18px;
  font-weight: 400;
  line-height: 1.4;
  letter-spacing: -0.3px;
}

.cases__text strong {
  font-weight: 700;
}

.cases__item {
  background: #fff;
  overflow: hidden;
  display: flex;
  flex-direction: column;
}

.cases__img {
  width: 100%;
  height: 180px;
  -o-object-fit: cover;
  object-fit: cover;
  display: block;
}

.cases__content {
  padding: 20px 20px 40px 20px;
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.cases__name {
  font-size: 1.2rem;
  font-weight: 700;
  margin-bottom: 12px;
  color: #222;
}

.cases__table {
  margin-bottom: 20px;
}

.cases__table .cases__table-row {
  display: flex;
  justify-content: space-between;
  font-size: 18px;
  margin-bottom: 6px;
  border-bottom: 1px solid #19191933;
  padding: 15px 0 15px 0;
}

@media screen and (max-width: 768px) {
  .cases__table .cases__table-row {
    font-size: 16px;
  }
}

.cases__table .cases__table-row span {
  display: block;
}

.cases__table .cases__table-row .cases__table-label {
  color: #FFBF00;
  font-weight: 700;
  min-width: 60px;
}

.cases__table .cases__table-row .cases__table-value {
  color: #222;
}

.cases__details {
  margin-top: auto;
  font-weight: 700;
  color: #222;
  text-decoration: underline;
  cursor: pointer;
  transition: color 0.2s;
}

.cases__details:hover {
  color: #FFBF00;
}

@media screen and (max-width: 768px) {
  .cases .container {
    padding: 100px 0 100px 0;
  }

  .cases__slider {
    display: flex;
    gap: 20px;
    padding-bottom: 8px;
    scroll-snap-type: x mandatory;
    overflow: visible !important;
  }
}

/* Services Section Styles */
.services {
  background: #181818;
  padding: 0 15px;
}

.services .container {
  padding: 120px 0 150px 0;
}

.services h2 {
  color: #fff;
  text-align: center;
  max-width: 1008px;
  margin: 0 auto 60px auto;
}

@media screen and (max-width: 768px) {
  .services h2 {
    text-align: left;
    margin-bottom: 40px;
  }
}

.services h2 span {
  color: #FFBF00;
}

@media screen and (max-width: 768px) {
  .services .container {
    padding: 100px 0 100px 0;
  }

  .services-swiper-pagination .swiper-pagination-bullet {
    background: #FFFFFF1A !important;
  }

  .services-swiper-pagination .swiper-pagination-bullet-active {
    background: #fff !important;
  }

  .services__slider {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 8px;
    overflow: visible !important;
  }

  .services__slider .services__pagination {
    display: flex;
    gap: 8px;
  }

  .services__slider .services__pagination .services__dot {
    width: 32px;
    height: 4px;
    border-radius: 2px;
    background: #444;
  }

  .services__slider .services__pagination .services__dot.active {
    background: #FFBF00;
  }
}

@media screen and (max-width: 768px) {
  .services .services__slider .swiper-wrapper {
    width: calc(100% + 290px);
  }

  .services .services__slider .swiper-slide {
    height: auto;
    display: flex;
    flex-direction: column;
    width: 290px;
  }
}

@media screen and (min-width: 769px) {
  .services .swiper-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
  }

  .services .swiper-wrapper .swiper-slide {
    display: flex;
  }
}

.services .cards {
  counter-reset: section;
}

.services .card {
  background: #282828;
  padding: 50px 30px;
  color: #fff;
  display: flex;
  flex-direction: column;
}

@media screen and (max-width: 768px) {
  .services .card {
    height: 100%;
  }
}

.services .card-label {
  margin-bottom: 20px;
}

@media screen and (max-width: 768px) {
  .services .card-label {
    display: none;
  }
}

.services .card-title {
  color: #fff;
  font-weight: 600;
  font-size: 20px;
  margin-bottom: 60px;
  text-transform: uppercase;
}

.services .card-title .number {
  display: inline-flex;
  color: #FFBF00;
}

.services .card ul {
  margin: 0;
  list-style: none;
}

.services .card ul li {
  position: relative;
  color: #fff;
  font-size: 18px;
  margin-bottom: 20px;
  padding-left: 18px;
  letter-spacing: -0.2px;
}

.services .card ul li::before {
  content: '';
  position: absolute;
  left: 0;
  top: 8px;
  width: 6px;
  height: 6px;
  background: #FFBF00;
}

.services .card ul li strong,
.services .card ul li b {
  font-weight: 600;
}

.services .card .card {
  min-height: 556px;
  padding: 40px 20px;
  width: 290px;
}

.services .card h2 {
  font-size: 30px;
}

/* Clients Section Styles */
.clients {
  background: #181818;
  padding: 0 15px;
  position: relative;
}

.clients .container {
  padding: 150px 0 120px 0;
}

@media screen and (max-width: 768px) {
  .clients .container {
    padding: 100px 0 80px 0;
  }
}

.clients__header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

@media screen and (max-width: 768px) {
  .clients__header {
    margin-bottom: 0;
  }
}

.clients-swiper-pagination .swiper-pagination-bullet {
  background: #FFFFFF1A !important;
}

.clients-swiper-pagination .swiper-pagination-bullet-active {
  background: #fff !important;
}

.clients h2 {
  color: #fff;
}

.clients__slider-mobile {
  display: none;
  overflow: hidden;
}

@media screen and (max-width: 767px) {
  .clients__slider-mobile {
    display: block !important;
  }

  .clients__slider {
    display: none !important;
  }
}

.clients__slider {
  overflow: hidden;
  margin-bottom: 40px;
}

.clients__slider-mobile {
  background: none;
}

.clients__slider-mobile .slide-row {
  background: none;
  width: 100% !important;
  margin-bottom: 12px;
}

@media screen and (max-width: 767px) {
  .clients__slider-mobile .slide-row {
    aspect-ratio: 1/1;
  }
}

.clients__slider-mobile .slide-row img {
  width: calc(50% - 5px);
}

.clients__slide {
  background: #fff;
  width: 19.5% !important;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.07);
  transition: box-shadow 0.2s, border 0.2s;
  border: 2px solid transparent;
  overflow: hidden;
}

.clients__slide img {
  -o-object-fit: cover;
  object-fit: cover;
}

.clients__arrows {
  position: absolute;
  top: 50%;
  right: 0;
  display: flex;
  gap: 12px;
  transform: translateY(-50%);
  z-index: 2;
}

.clients__arrow {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  border: none;
  background: #fff;
  color: #222;
  font-size: 1.5rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.07);
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background 0.2s, color 0.2s;
}

.clients__arrow:hover {
  background: #FFBF00;
  color: #fff;
}

.clients__arrow--prev::before {
  content: "←";
}

.clients__arrow--next::before {
  content: "→";
}

.clients .clients-all {
  color: #fff;
  font-weight: 700;
  text-decoration: underline;
  margin-left: 0;
  cursor: pointer;
  transition: color 0.2s;
  display: block;
  margin-top: 12px;
}

.clients .clients-all:hover {
  color: #FFBF00;
}

/* Testimonials Section Styles */
.testimonials {
  padding: 0 15px;
  background: #f9f9f9;
  overflow-x: hidden;
}

.testimonials .container {
  overflow: visible;
  padding: 120px 0 120px 0;
}

@media (max-width: 768px) {
  .testimonials .container {
    padding: 100px 0 100px 0;
  }
}

.testimonials__content {
  display: flex;
  flex-wrap: wrap;
}

.testimonials__content h2 {
  width: 30%;
}

@media (max-width: 768px) {
  .testimonials__content h2 {
    width: 80%;
  }
}

@media (max-width: 768px) {
  .testimonials__content {
    flex-direction: column;
  }
}

.testimonials__title {
  flex: 0 0 420px;
}

.testimonials__slider-outer {
  position: relative;
  overflow: hidden;
  width: 70%;
  left: 10%;
}

.testimonials__slider-outer .pagination-next {
  position: absolute;
  z-index: 1999;
  top: calc(50% - 50px);
  left: 416px;
  cursor: pointer;
  transition: background-color .3s ease;
  background: #000 url(data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIyMCIgaGVpZ2h0PSIyMCIgdmlld0JveD0iMCAwIDIwIDIwIiBmaWxsPSJub25lIj48cGF0aCBkPSJNMTkuMzgwNyAxMC4yMzg0SDIuMTQwNzdNMjAuMTQwNzcgMTAuMjM4NEwxMC43NjA3IDEuNjE4NDZNMjAuMTQwNzcgMTAuMjM4NEwxMC43NjA3IDE4Ljg1ODQiIHN0cm9rZT0id2hpdGUiIHN0cm9rZS13aWR0aD0iMi4yODU3MSIvPjwvc3ZnPg==) no-repeat center;
  background-size: 20px 20px;
  width: 84px;
  height: 84px;
  display: block;
  border-radius: 50%;
  transform: translateY(-50%);
}

.testimonials__slider-outer .pagination-next:hover {
  background-color: #ffc107;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTAuNjE5Mjg5IDEwLjIzODRIMTcuODU5Mk0xNy44NTkyIDEwLjIzODRMOS4yMzkyNiAxLjYxODQ2TTE3Ljg1OTIgMTAuMjM4NEw5LjIzOTI2IDE4Ljg1ODQiIHN0cm9rZT0iIzI4MjgyOCIgc3Ryb2tlLXdpZHRoPSIyLjI4NTcxIi8+Cjwvc3ZnPgo=");
}

@media screen and (max-width: 1024px) {
  .testimonials__slider-outer .pagination-next {
    display: none;
  }
}

@media (max-width: 1024px) {
  .testimonials__slider-outer {
    width: 100%;
    left: 0;
    transform: none;
  }
}

@media screen and (max-width: 767.98px) {
  .testimonials__slider-outer {
    width: calc(100% + 290px);
  }
}

.testimonials__slider {
  width: calc(100% + 290px);
}

.testimonials .testimonial-slide {
  display: flex;
  opacity: 0.3;
}

.testimonials .testimonial-slide.swiper-slide-active {
  opacity: 1;
}

.testimonials .testimonial-slide.swiper-slide-active .testimonial-card:before {
  top: 45%;
}

.testimonials .testimonial-cards {
  display: flex;
  gap: 32px;
  overflow-x: auto;
  margin-bottom: 32px;
}

.testimonials .testimonial-card:before {
  background: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNjciIGhlaWdodD0iNDgiIHZpZXdCb3g9IjAgMCA2NyA0OCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTY1LjU5OSA3LjQ5NTc4QzY0LjgyNyA0LjU0Mzc1IDYyLjU2IDIuMjIzOSA1OS42NzU1IDEuNDMzNjhDNTQuNDUyNyA0LjI5MTUzZS0wNyAzMy40OTk5IDAgMzMuNDk5OSAwQzMzLjQ5OTkgMCAxMi41NDczIDQuMjkxNTNlLTA3IDcuMzI0MzEgMS40MzM2OEM0LjQzOTgzIDIuMjIzOSAyLjE3MzAzIDQuNTQzNzUgMS40MDA4OSA3LjQ5NTc4QzQuMTkzMzhlLTA3IDEyLjg0MSAwIDI0IDAgMjRDMCAyNCA0LjE5MzM4ZS0wNyAzNS4xNTkgMS40MDA4OSA0MC41MDQzQzIuMTczMDMgNDMuNDU2MyA0LjQzOTgzIDQ1Ljc3NjIgNy4zMjQzMSA0Ni41NjYyQzEyLjU0NzMgNDggMzMuNDk5OSA0OCAzMy40OTk5IDQ4QzMzLjQ5OTkgNDggNTQuNDUyNyA0OCA1OS42NzU1IDQ2LjU2NjJDNjIuNTYgNDUuNzc2MiA2NC44MjcgNDMuNDU2MyA2NS41OTkgNDAuNTA0M0M2NyAzNS4xNTkgNjcgMjQgNjcgMjRDNjcgMjQgNjYuOTk0NCAxMi44NDEgNjUuNTk5IDcuNDk1NzhaIiBmaWxsPSIjRkYwMDAwIi8+CjxwYXRoIGQ9Ik0yNi43OTQ5IDM0LjI4NUw0NC4yMDEzIDI0LjAwMUwyNi43OTQ5IDEzLjcxNjhWMzQuMjg1WiIgZmlsbD0id2hpdGUiLz4KPC9zdmc+Cg==");
  content: "";
  display: block;
  position: absolute;
  width: 67px;
  height: 48px;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

@media screen and (max-width: 768px) {
  .testimonials .testimonial-card:before {
    width: 44px;
    height: 32px;
    background-size: contain;
  }
}

.testimonials .testimonial-card img {
  width: 100%;
  aspect-ratio: 37/60;
  object-position: center;
  object-fit: cover;
}

.testimonials .testimonial-card img:hover {
  cursor: pointer;
}

.testimonials .video-circle {
  position: relative;
  width: 260px;
  height: 260px;
  margin: 0 auto;
}

.testimonials .custom-play-btn {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 48px;
  height: 48px;
  transform: translate(-50%, -50%);
  background: url('/wp-content/themes/ppcrocks/assets/images/icons/play.svg') no-repeat center center;
  background-size: contain;
  border: none;
  cursor: pointer;
  z-index: 2;
}

.testimonials .video-wrapper {
  position: relative;
  width: 260px;
  height: 260px;
  border-radius: 50%;
  overflow: hidden;
  background-color: #000;
  z-index: 2;
}

.testimonials .progress-ring {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 3;
  width: 260px;
  height: 260px;
  pointer-events: none;
}

.testimonials .progress-ring__background,
.testimonials .progress-ring__circle {
  fill: none;
  stroke: white;
  stroke-linecap: round;
  transform: rotate(-90deg);
  transform-origin: 50% 50%;
}

.testimonials .progress-ring__background {
  opacity: 0.2;
}

.testimonials .progress-ring__circle {
  stroke: #fff;
  stroke-dasharray: 534;
  stroke-dashoffset: 534;
  transition: stroke-dashoffset 0.1s linear;
}

.testimonials .video-poster {
  max-width: 500px;
  left: -50%;
  position: relative;
  top: -20%;
}

.testimonials .avatar {
  width: 68px !important;
  height: 68px;
  border-radius: 50%;
  padding: 7px;
  border: 2px solid #28282833;
  display: block;
  -o-object-fit: cover;
  object-fit: cover;
}

@media screen and (max-width: 768px) {
  .testimonials .avatar {
    width: 60px !important;
    min-width: 60px;
    height: 60px;
  }
}

.testimonials .author {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.testimonials .video-circle-mask {
  width: 260px;
  height: 260px;
  border-radius: 50%;
  overflow: hidden;
  position: relative;
}

.testimonials .video-iframe {
  position: absolute;
  top: -30px;
  left: -134px;
  width: 500px;
  height: 350px;
  border: none;
}

.testimonials .testimonial-slide {
  top: 30px;
  margin-right: 25px;
  width: 329px;
}

@media screen and (max-width: 768px) {
  .testimonials .testimonial-slide {
    margin-right: 16.8px;
    width: 216px;
  }
}

.testimonials .testimonial-slide.swiper-slide-active {
  zoom: 1.1246;
}

@media screen and (max-width: 768px) {
  .testimonials .testimonial-slide.swiper-slide-active {
    zoom: 1.2037;
  }
}

.testimonials .testimonial-slide.swiper-slide-active {
  top: 0;
}

.testimonials .testimonial-slide.swiper-slide-active .testimonial-footer {
  opacity: 1;
}

.testimonials .testimonial-footer {
  opacity: 0;
  gap: 18px;
  margin-top: 10px;
  display: flex;
}

.testimonials .testimonial-footer strong {
  color: #282828;
  font-size: 18px;
  font-weight: 600;
  display: block;
}

.testimonials .testimonial-footer span {
  display: block;
  font-weight: 500;
  font-size: 14px;
  color: #28282899;
}

.youtube-popup {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.8);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

.youtube-popup__content {
  position: relative;
  max-width: 90%;
  max-height: 80%;
}

.youtube-popup__video iframe {
  width: 560px;
  height: 315px;
  max-width: 100%;
}

@media screen and (max-width: 480px) {
  .youtube-popup__video iframe {
    height: 85vh;
  }
}

.youtube-popup__close {
  position: absolute;
  top: -30px;
  right: 0;
  background: #fff;
  padding: 4px;
  border: none;
  display: flex;
  font-size: 24px;
  cursor: pointer;
}

/* Steps Section Styles */
.steps {
  background: #181818;
  padding: 0 15px;
}

.steps .container {
  padding: 120px 0 120px 0;
}

@media screen and (max-width: 768px) {
  .steps .container {
    padding: 100px 0 100px 0;
  }
}

.steps h2 {
  color: #fff;
  text-align: center;
  width: 750px;
  margin: 0 auto 62px auto;
}

@media screen and (max-width: 768px) {
  .steps h2 {
    width: 100%;
    text-align: left;
  }
}

.steps h2 span {
  color: #FFBF00;
}

.steps .step-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 10px;
  margin: 0 auto;
  counter-reset: section;
}

.steps .step {
  background: #282828;
  color: #fff;
  padding: 40px 30px;
  text-align: left;
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 264px;
}

@media screen and (max-width: 768px) {
  .steps .step {
    min-height: 165px;
  }
}

.steps .step:before {
  content: counter(section, decimal-leading-zero);
  counter-increment: section;
  display: flex;
  color: #FFBF00;
  font-size: 46px;
  margin-bottom: 40px;
  font-weight: 600;
}

@media screen and (max-width: 768px) {
  .steps .step-grid {
    grid-template-columns: 1fr 1fr;
    gap: 10px;
  }

  .steps .step {
    font-size: 16px;
    padding: 20px 16px;
  }

  .steps .step:before {
    margin-bottom: 20px;
  }
}

.cta {
  background-color: #f8f8f8;
  text-align: center;
  padding: 0 15px;
}

.cta .container {
  padding: 150px 0 150px 0;
}

.cta .btn {
  padding: 16px 26px;
  font-size: 16px;
}

.cta .btn:hover {
  background-color: rgba(255, 193, 7, 0.4);
}

.cta__arrows {
  display: flex;
  justify-content: center;
  gap: 60px;
  margin: -20px 0 30px;
}

@media screen and (max-width: 768px) {
  .cta__arrows {
    display: none;
  }
}

.cta__bottom {
  margin-top: 60px;
}

@media (max-width: 768px) {
  .cta .cta__arrows {
    gap: 80px;
  }

  .cta .cta__arrows .arrow {
    width: 30px;
  }
}

.cta h2 {
  font-size: 48px;
  line-height: 1.3;
  margin-bottom: 40px;
  font-weight: 700;
  color: #222;
}

.cta h2 span {
  color: #ffc107;
}

.cta .options {
  display: flex;
  justify-content: center;
  gap: 20px;
  flex-wrap: wrap;
  flex-direction: row;
}

@media screen and (max-width: 768px) {
  .cta .options {
    flex-direction: column;
  }
}

.cta .options .option {
  flex: 1;
  padding: 50px 103px;
  text-align: center;
  border: 1px solid #2828281A;
}

@media screen and (max-width: 768px) {
  .cta .options .option {
    padding: 50px 20px;
  }
}

.cta .options .option span {
  display: block;
  font-size: 28px;
  font-weight: 700;
  line-height: 1.3;
  letter-spacing: -0.3px;
  margin-bottom: 25px;
  text-transform: uppercase;
}

@media screen and (max-width: 768px) {
  .cta .options .option span {
    font-size: 20px;
  }
}

.cta .options .option a {
  text-decoration: underline;
}

.cta .options .option a:hover {
  text-decoration: none;
}

.cta .options .option p {
  font-size: 20px;
  line-height: 1.4;
}

@media screen and (max-width: 768px) {
  .cta .options .option p {
    font-size: 16px;
  }
}

.cta .options .option p a {
  color: #ffc107;
  font-weight: bold;
  text-decoration: underline;
}

.cta .options .option p a:hover {
  text-decoration: none;
}

.cta .options .option strong {
  font-weight: bold;
}

.cta .options .option:first-child {
  background-color: #fff;
  color: #222;
}

.cta .options .option:last-child {
  background-color: #222;
  color: #fff;
}

.cta .options .option:last-child span {
  color: #ffc107;
}

@media (max-width: 768px) {
  .cta .container {
    padding: 100px 0 100px 0;
  }

  .cta h2 {
    font-size: 30px;
    text-align: left;
  }

  .cta .option {
    font-size: 16px;
  }
}

.exit-popup {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  justify-content: center;
  align-items: center;
  background: rgba(0, 0, 0, 0.7);
  font-family: Prompt, sans-serif;
  z-index: 1000;
  display: none;
  opacity: 0;
  visibility: hidden;
  transition: opacity 180ms ease, visibility 0s linear 180ms;
}

.exit-popup--visible {
  display: flex !important;
  opacity: 1;
  visibility: visible;
  transition: opacity 180ms ease;
}

.exit-popup .wrapper {
  display: flex;
  gap: 10px;
  font-size: 18px;
}

.exit-popup__content {
  position: relative;
  background: #FFBF00;
  padding: 50px 20px;
  text-align: center;
  max-width: 606px;
  width: 100%;
}

@media screen and (max-width: 768px) {
  .exit-popup__content {
    width: 90%;
  }
}

.exit-popup__content h2 {
  font-weight: 600;
  margin: 0 0 40px;
  font-size: 26px;
  line-height: 100%;
}

.exit-popup__content p {
  margin: 5px 0;
  font-weight: 500;
  font-size: 18px;
  line-height: 160%;
  letter-spacing: -0.3px;
  text-align: center;
}

.exit-popup__buttons {
  display: flex;
  justify-content: space-around;
  margin-top: 40px;
  gap: 10px;
}

.exit-popup__buttons .btn {
  padding: 12px 30px;
  text-decoration: none;
  font-weight: bold;
  width: 100%;
  font-size: 16px;
}

.exit-popup__buttons .btn.btn-chat {
  background: #fff;
  color: #000;
}

.exit-popup__buttons .btn.btn-chat:hover {
  background: rgba(255, 255, 255, 0.8);
}

.exit-popup__buttons .btn.btn-channel {
  background: #000;
  color: #fff !important;
}

.exit-popup__buttons .btn.btn-channel:hover {
  background: rgba(0, 0, 0, 0.8);
}

.exit-popup__close {
  position: absolute;
  top: 10px;
  right: -35px;
  font-size: 18px;
  cursor: pointer;
}

@media screen and (max-width: 768px) {
  .exit-popup__close {
    top: -45px;
    right: 0;
  }
}

.order-popup {
  font-family: Prompt, sans-serif;
  display: none;
  justify-content: center;
  align-items: center;
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 10;
}

.order-popup__success p {
  margin-bottom: 20px;
}

.order-popup__success .btns-wrap {
  display: flex;
  gap: 10px;
}

.order-popup__success .btn {
  height: 100%;
  min-height: 48px;
  padding: 12px;
  font-weight: 600;
  font-size: 16px;
  text-align: center;
  text-transform: uppercase;
  display: block;
  flex: 1 1 auto;
}

.order-popup__success .btn:hover {
  box-shadow: 1px 1px 10px rgba(0, 0, 0, 0.2);
  color: initial !important;
  background: initial !important;
}

.order-popup__success .chat {
  background: #282828;
  color: #fff !important;
}

.order-popup__success .chat:before {
  content: "";
  display: inline-block;
  width: 24px;
  height: 24px;
  background: url(/wp-content/themes/ppcrocks/assets/dist/images/tg-icon.png?f44d5b4a2d162f77059f8c270472c3d4) no-repeat center center;
  background-size: contain;
  margin-right: 13px;
  vertical-align: middle;
}

.order-popup__success .chanel {
  background: #FFBF00;
  color: #000;
}

.order-popup--active {
  display: flex;
}

.order-popup__submit:disabled {
  opacity: 0.6;
  cursor: not-allowed;
}

.order-popup__content {
  position: relative;
  background-color: #fff;
  padding: 60px 20px 40px 20px;
  text-align: center;
  max-width: 495px;
  width: 100%;
}

@media screen and (max-width: 480px) {
  .order-popup__content {
    width: 95%;
    position: relative;
    top: 25px;
  }
}

.order-popup__content h2 {
  font-weight: 600;
  font-size: 32px;
  line-height: 130%;
  letter-spacing: -0.3px;
  text-align: center;
  margin-bottom: 30px;
}

.order-popup__content label {
  font-family: Prompt, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 16px;
  color: #585858;
  text-align: left;
  margin-bottom: 6px;
}

.order-popup__content input {
  width: 100%;
  padding: 12px;
  font-size: 1rem;
  border: 1px solid #ccc;
}

.order-popup__content input::-moz-placeholder {
  color: #888;
}

.order-popup__content input::placeholder {
  color: #888;
}

.order-popup__submit {
  display: block;
  width: 100%;
  padding: 15px;
  font-size: 18px;
  font-weight: 500;
  border: none;
  margin-top: 30px;
  background-color: #f5c242;
  cursor: pointer;
}

.order-popup__submit:hover {
  background-color: #e0a800;
}

.order-popup__close {
  position: absolute;
  right: 15px;
  top: 15px;
  font-size: 1.5rem;
  border: none;
  background: none;
  cursor: pointer;
}

.order-popup__close:hover {
  opacity: 0.8;
}

/* Footer Styles */
.footer {
  background: #181818;
  color: #ccc;
  font-size: 14px;
  padding: 0 15px;
}

.footer .container {
  padding: 30px 0;
}

.footer .footer__inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 20px;
}

.footer .footer__logo {
  display: flex;
  align-items: center;
  gap: 10px;
}

.footer .footer__logo img {
  width: 145px;
  height: auto;
}

.footer .footer__logo span {
  font-weight: 600;
  color: #fff;
  font-size: 16px;
}

.footer .footer__copy {
  flex: 1 1 auto;
  text-align: center;
  color: #aaa;
}

.footer .footer__socials {
  display: flex;
  gap: 10px;
}

.footer .footer__socials .social {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 36px;
  height: 36px;
  background: #0e0e11;
  border-radius: 50%;
  transition: background 0.3s;
}

.footer .footer__socials .social img {
  width: 18px;
  height: 18px;
}

.footer .footer__socials .social:hover {
  background: #ffc107;
}

@media (max-width: 768px) {
  .footer .footer__inner {
    flex-direction: column;
    align-items: center;
    text-align: center;
  }

  .footer .footer__copy {
    order: 3;
  }
}


body.error404 .header {
  background: #000;
  height: 80px;
}

body.error404 .main {
  margin-top: 100px;
}

@media screen and (max-width: 520px) {
  .hero {
    display: flex;
    flex-direction: column;
    background-color: black;
    height: 100%;
  }

  .hero .container {
    height: 100%;
  }

  .hero-bg {
    background-color: #000;
    background-image: url('/wp-content/themes/ppcrocks/assets/images/header-mobile.jpg');
    background-position: 35% -30px;
    background-repeat: no-repeat;
    background-size: cover;
    margin: 0 -15px;
    width: calc(100% + 30px);
    aspect-ratio: 393 / 435;
    position: relative;
  }

  .hero-content {
    padding-top: 10px;
    position: relative;
  }

  .hero-content:before {
    content: '';
    width: calc(100% + 30px);
    height: 20px;
    display: flex;
    background: linear-gradient(0deg, rgba(0, 0, 0, 1) 0%, rgba(255, 255, 255, 0) 100%);
    position: absolute;
    left: -15px;
    top: -15px;
  }
}